org.modeshape.sequencer.javafile.metadata

## Enum FieldMetadata.Type

- java.lang.Object
- - java.lang.Enum<FieldMetadata.Type>
  - - org.modeshape.sequencer.javafile.metadata.FieldMetadata.Type

- All Implemented Interfaces:
    Serializable, Comparable<FieldMetadata.Type>
  Enclosing class:
    FieldMetadata

      public static enum FieldMetadata.Type
      extends Enum<FieldMetadata.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY`
    `PARAMETRIZED`
    `PRIMITIVE`
    `QUALIFIED`
    `SIMPLE`
    `WILDCARD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldMetadata.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldMetadata.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMITIVE

          public static final FieldMetadata.Type PRIMITIVE

    - #### SIMPLE

          public static final FieldMetadata.Type SIMPLE

    - #### ARRAY

          public static final FieldMetadata.Type ARRAY

    - #### QUALIFIED

          public static final FieldMetadata.Type QUALIFIED

    - #### PARAMETRIZED

          public static final FieldMetadata.Type PARAMETRIZED

    - #### WILDCARD

          public static final FieldMetadata.Type WILDCARD

  - ### Method Detail

    - #### values

          public static FieldMetadata.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldMetadata.Type c : FieldMetadata.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldMetadata.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.